## libervia-pubsub 0.5.0~hg494

=== requirements.txt ===
attrs==20.3.0
Automat==20.2.0
cffi==1.14.5
constantly==15.1.0
cryptography==3.4.6
hyperlink==21.0.0
idna==3.1
incremental==21.3.0
psycopg2==2.8.6
pyasn1==0.4.8
pyasn1-modules==0.2.8
pycparser==2.20
pyOpenSSL==20.0.1
python-dateutil==2.8.1
service-identity==18.1.0
six==1.15.0
Twisted==21.2.0
uuid==1.30
wokkel==18.0.0
zope.interface==5.2.0

sat-tmp @ hg+https://repos.goffi.org/sat_tmp
-e .

## libervia-pubsub 0.4.0

=== debian/changelog ===
libervia-pubsub (0.4.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Martin <debacle@debian.org>  Mon, 14 Feb 2022 13:56:06 +0000

libervia-pubsub (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Project is renamed to "Libervia Pubsub".

 -- Martin <debacle@debian.org>  Thu, 13 Jan 2022 17:37:13 +0000

sat-pubsub (0.4.0~hg436.80aca1cf1543-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 04 Feb 2021 19:49:38 +0000

sat-pubsub (0.4.0~hg433.920440200570+really-1) unstable; urgency=medium

  * The "Mercurial needs -u when pulling" upstream snapshot:
    + fix upstream tarball to actually match the version

 -- Thomas Preud'homme <robotux@debian.org>  Fri, 29 Jan 2021 17:41:41 +0000

sat-pubsub (0.4.0~hg433.920440200570-1) unstable; urgency=medium

  * New upstream snapshot:
    + update debian/copyright
  * Bump standard version.
  * Bump debhelper compatibility and simplify rules accordingly.
  * debian/control: remove redundant dependency for binary package.
  * debian/rules: make install verbose by default unless DEB_BUILD_OPTIONS has
    terse.
  * Add watch file.
  * List intentionally not installed files.
  * Remove no longer needed lintian override.
  * Build depend on setuptools_scm and drop patch.
  * Add upstream metadata.
  * Use secure URI for debian copyright format.
  * Add upstream documentation.
  * Add myself and Matteo Cypriani as maintainers.

 -- Thomas Preud'homme <robotux@debian.org>  Thu, 28 Jan 2021 23:22:40 +0000

sat-pubsub (0.4.0~hg422.c21f31355ab9-1) unstable; urgency=medium

  * New upstream snapshot, now using Python 3 (Closes: #938436)

 -- Martin <debacle@debian.org>  Tue, 07 Apr 2020 17:36:15 +0000

sat-pubsub (0.3.0a1-1) unstable; urgency=medium

  * Initial release. (Closes: #862188)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 06 Feb 2019 16:41:29 +0000

=== debian/control ===
Source: libervia-pubsub
Section: python
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>,
	Matteo Cypriani <mcy@lm7.fr>,
	Thomas Preud'homme <robotux@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-python,
	python3-all,
	python3-psycopg2,
	python3-setuptools,
	python3-setuptools-scm,
	python3-simplejson,
	python3-sphinx,
	python3-wokkel,
	libervia-backend (>= 0.8.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://repos.goffi.org/libervia-pubsub
Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-pubsub.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-pubsub

Package: libervia-pubsub
Architecture: all
Depends: libervia-backend (>= 0.8.0~),
	${misc:Depends},
	${python3:Depends},
	python3-psycopg2,
	prosody,
Replaces: sat-pubsub (<< 0.4.0-1~)
Breaks: sat-pubsub (<< 0.4.0-1~)
Description: XMPP Publish-Subscribe service component
 Libervia PubSub is a XMPP PubSub service component (XEP-0060).
 It provides special features necessary for "Libervia",
 but it can also be used for any other XMPP project.

Package: sat-pubsub
Depends: libervia-pubsub,
         ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/libervia --install-scripts=/usr/share/libervia
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  PYBUILD_INSTALL_ARGS+=--verbose
endif
export PYBUILD_INSTALL_ARGS

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	cd doc; $(MAKE) text

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	cp -a doc/.build/text debian/tmp; rm debian/tmp/text/index.txt
	rm -rf $(CURDIR)/debian/tmp/usr/share/libervia/sat_pubsub/test/ \
	    $(CURDIR)/debian/tmp/usr/share/libervia/sat_pubsub-*.egg-info/
	find debian/tmp -name __pycache__ -type d | xargs rm -rf

# temporarily do not run tests (completely broken at the moment)
override_dh_auto_test:
#	PYTHONPATH=.:/usr/share/libervia; export PYTHONPATH; \
#	dh_auto_test -O--buildsystem=pybuild

## libervia-pubsub 0.4.0+hg473

=== debian/changelog ===
libervia-pubsub (0.4.0+hg473-1) unstable; urgency=medium

  * New upstream snapshot with new features and fixes.

 -- Martin <debacle@debian.org>  Sun, 15 Jan 2023 21:57:20 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	python3-setuptools-scm,
 	python3-simplejson,
 	python3-sphinx,
+	python3-tomli,
 	python3-wokkel,
 	libervia-backend (>= 0.8.0~),
 Standards-Version: 4.5.1

## libervia-pubsub 0.4.0+hg488

=== debian/changelog ===
libervia-pubsub (0.4.0+hg488-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Fri, 03 Nov 2023 00:31:54 +0000

## libervia-pubsub 0.5.0~hg489

=== debian/changelog ===
libervia-pubsub (0.5.0~hg489-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1061020)

 -- Martin <debacle@debian.org>  Wed, 14 Feb 2024 00:00:10 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	libervia-backend (>= 0.8.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://repos.goffi.org/libervia-pubsub
+Homepage: https://libervia.org/
 Vcs-Git: https://salsa.debian.org/xmpp-team/libervia-pubsub.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/libervia-pubsub

## libervia-pubsub 0.5.0~hg494

=== debian/changelog ===
libervia-pubsub (0.5.0~hg494-2) unstable; urgency=medium

  * Team Upload
  * Drop python3-tomli build depedency (Closes: #1105932)
  * Use dh-sequence-python3
  * Package was move to Python Team, update Vcs-* tags
  * Drop "Rules-Requires-Root: no"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 08:13:16 +0200

libervia-pubsub (0.5.0~hg494-1) unstable; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 11 Mar 2025 21:29:25 +0000

libervia-pubsub (0.5.0~hg489-3) unstable; urgency=medium

  * Add PYBUILD_NAME for autopkgtest-pkg-python

 -- Martin <debacle@debian.org>  Thu, 19 Sep 2024 07:46:15 +0000

libervia-pubsub (0.5.0~hg489-2) unstable; urgency=medium

  * Add debian/clean (Closes: #1045822)
  * Remove stale build-depends on python3-simplejson (Closes: #1080185)
  * Drop transitional package
  * Use correct twistd binary

 -- Martin <debacle@debian.org>  Wed, 18 Sep 2024 20:18:52 +0000

=== debian/control ===
Source: libervia-pubsub
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>,
	Matteo Cypriani <mcy@lm7.fr>,
	Thomas Preud'homme <robotux@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-sequence-python3,
	python3-all,
	python3-psycopg2,
	python3-setuptools,
	python3-setuptools-scm,
	python3-sphinx,
	python3-wokkel,
	libervia-backend (>= 0.8.0~),
Standards-Version: 4.7.2
Homepage: https://libervia.org/
Vcs-Git: https://salsa.debian.org/python-team/packageslibervia-pubsub.git
Vcs-Browser: https://salsa.debian.org/python-team/packageslibervia-pubsub
Testsuite: autopkgtest-pkg-python

Package: libervia-pubsub
Architecture: all
Depends: libervia-backend (>= 0.8.0~),
	${misc:Depends},
	${python3:Depends},
	python3-psycopg2,
	prosody,
Replaces: sat-pubsub (<< 0.4.0-1~)
Breaks: sat-pubsub (<< 0.4.0-1~)
Description: XMPP Publish-Subscribe service component
 Libervia PubSub is a XMPP PubSub service component (XEP-0060).
 It provides special features necessary for "Libervia",
 but it can also be used for any other XMPP project.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+PYBUILD_NAME=sat_pubsub
 PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/libervia --install-scripts=/usr/share/libervia
 ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
   PYBUILD_INSTALL_ARGS+=--verbose
@@ -7,7 +8,7 @@
 export PYBUILD_INSTALL_ARGS
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
 	cd doc; $(MAKE) text

=== debian/watch ===
version=4
https://ftp.goffi.org/libervia-pubsub/ \
  sat_pubsub(?:-|\.|_|_v|)(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian uupdate
